Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |  

This web mail archive is frozen.

This page is part of a frozen web archive of this mailing list.

You can still navigate around this archive, but know that no new mails have been added to it since July of 2016.

Click here to be taken to the new web archives of this list; it includes all the mails that are in this frozen archive plus all new mails that have been sent to the list since it was migrated to the new archives.

From: Michael Galloway (mgx_at_[hidden])
Date: 2006-12-14 14:01:54


good day all, i've been trying to build ompi with the 6.2-X version of the pgi
compiler set (pgcc 6.2-4 64-bit target on x86-64 Linux). i've tried both 1.1.2 and
the current nightly build 1.1.3b2r12766, both fail with this error from configure:

*** Fortran 77 compiler
checking whether we are using the GNU Fortran 77 compiler... no
checking whether /opt/pgi/linux86-64/6.2/bin/pgf77 accepts -g... yes
checking if Fortran 77 compiler works... yes
checking /opt/pgi/linux86-64/6.2/bin/pgf77 external symbol convention... single underscore
checking if Fortran 77 compiler supports LOGICAL... yes
checking size of Fortran 77 LOGICAL... 4
checking for C type corresponding to LOGICAL... not found
configure: WARNING: *** Did not find corresponding C type
configure: error: Cannot continue

i will attache the config.log file. i've looked around the maillist and i've seen a few issue
similar but no real resolution. the env i used to build is:

F90=/opt/pgi/linux86-64/6.2/bin/pgf90
F77=/opt/pgi/linux86-64/6.2/bin/pgf77
LM_LICENSE_FILE=/opt/pgi/license.dat
CXX=/opt/pgi/linux86-64/6.2/bin/pgCC
FC=/opt/pgi/linux86-64/6.2/bin/pgf90
CC=/opt/pgi/linux86-64/6.2/bin/pgcc

F90FLAGS=-fastsse
CXXFLAGS=-g -O3 -Minfo=all -fastsse -Mipa=fast -Knoieee -mp
FCFLAGS=-fastsse
CFLAGS=-g -O3 -Minfo=all -fastsse -Mipa=fast -Knoieee -mp
FFLAGS=-fastsse

is there something simple i'm messing up? thanks!

-- michael